#
# spec file for package gewels (Version 0.9.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gewels
%define       prefix		/opt/gnome
%define	      sysconfdir	/etc%{prefix}
Summary:      Gnome clone of Jewels with support for two players
Version:      0.9.1
Release:      75
Copyright:    GPL
Group:        X11/GNOME/Games
URL:          http://gewels.sourceforge.net/
Source:       %{name}-%{version}-src.tar.bzip2		
Patch0:       %{name}-%{version}-ia64.patch		
BuildRoot:    %{_tmppath}/%{name}-build
Docdir:	      %{_defaultdocdir}/gnome

%description
Gewels is Gnome clone of Jewels. If you are not familiar with
Jewels, just try it, you will understand soon.
Gewels allows two players to play simultaneously. It introduces
special multiplayer deadmatch mode, in which whenever the difference
of removed jewels between the players is bigger than 15, player
with lower count of jewels is penalized. Computer can play against
uman, so you can try deadmatch even if you are alone.
200 Contest is special mode in which you must gain as many points
as possible until you remove 200 jewels.

Authors:
--------
    Petr Blahos <pblahos@users.sourceforge.net>

SuSE series: gnm

%prep
%setup
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%prefix \
	    --datadir=%prefix/share \
	    --sysconfdir=%sysconfdir \
	    --localstatedir=/var
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO

%sysconfdir/sound/events/*
%attr(2755,games,game) %prefix/bin/gewels

%prefix/share/gnome/apps/Games/*

%prefix/share/pixmaps/*

%prefix/share/sounds/*
%config(noreplace) %attr(664,games,game) /var/games/gewels.scores

%changelog -n gewels
* Fri Aug 17 2001 - pmladek@suse.cz
- updated to version 0.9.1
- removed gid patch (already fixed in new version)
* Tue May 01 2001 - pmladek@suse.cz
- moved gnome_score_init before gnome_init because new GTK+
  don't allow init with setgid
* Wed Apr 25 2001 - pmladek@suse.cz
- fixed user and group of files gewels and gewels.scores
- set gewels.scores as %%config(noreplace)
* Mon Apr 16 2001 - pmladek@suse.cz
- fixed warnings on ia64
* Mon Apr 02 2001 - pmladek@suse.cz
- new package
